Bug 914 - No recognitioon of smc 1211tx "EZ 10/100" pci card
No recognitioon of smc 1211tx "EZ 10/100" pci card
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1999-01-21 16:34 EST by kloeke
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-01-22 17:09:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description kloeke 1999-01-21 16:34:33 EST
This card is not recognized and can therefore not be

Part of the problem seems to be that the rtl8139.c that
ships with RedHat is old (v0.99 as opposed to 1.4)

Please see following deja news article for more detailed

>In article <c1.2c.2PLxcW$104@rhino_house.ibm.net>,
>  john.thompson@ibm.net wrote:
>> I need help making the SMC 1211TX "EzCard" PCI ethernet
>> in my new machine work.  Linux (RH v5.1, kernel 2.0.34)
>> refuses to recognize it.  Searching dejanews revealed
only one
>> marginally pertinent article with vague references to
making some
>> unspecified changes to Space.c and replacing ne.c with
>> I can do the later but have no idea what changes to make
>> Space.c.  Anybody here able to make this card work for

>I saw the same article, and had the same problem with RH
v5.2 claiming the
>device was busy...
>However, I tried updating the rtl8139.c driver to version
1.4, and now the
>card works great (RH v5.2 ships with version 0.99B).
>The latest version is available at

I got the source, compiled it as a module but it still
want to work.  Did you need to make any changes to Space.c
as the
original author apparently did?  Do you need some parameters
pass to the module when it loads?  I see in my
that the card is now apparently being recognized, but I
still get
these modprobe errors "can't locate module net-pf-5" and
-r doesn't show the eth0 interface.  I have this machine as and my other machine as and it seems
Comment 1 kloeke 1999-01-22 14:07:59 EST
I just had correspondence with someone who figured out the work around
for this problem. Text follows:
I downloaded new source code for the rtl8139 driver from
http://cesdis.gsfc.nasa.gov/linux/drivers/rtl8139.html, compiled it as
module and rebuilt the kernel to use it as a module.  When I rebooted,
kernel recognized the card (ie, "eth0: RealTek RTL8139 Fast Ethernet
(mislabeled) at 0xe400, IRQ 9, 00:e0:29:1c:a
a:31." appeared in the boot messages) but it still wasn't activating
interface.  I added these lines to the "/etc/rc.d/rc.sysinit" file:

echo starting network
insmod rtl8139
/etc/rc.d/init.d/network start
Maybe these changes can be implemented in the next release of redhat
Comment 2 David Lawrence 1999-01-22 17:09:59 EST
The 1.04 version of this driver is included in our latest kernel
source rpm available from our updates.redhat.com site.

Note You need to log in before you can comment on or make changes to this bug.